#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void scrie_fisier(char * nume_fis, int rezultat)
{
    FILE *pf = fopen(nume_fis,"a");
    if (pf==NULL)
    {
        printf("Eroare fisier iesire!");
        exit(3);
    }

    fprintf(pf,"%s\n", (rezultat)?"DA":"NU");
    fclose(pf);
}

void proceseaza(char* nume_fis, int *a, int na)
{
    FILE *pf = fopen(nume_fis,"r");
    if (pf==NULL)
    {
        printf("Eroare fisier intrare!");
        exit(2);
    }

    while (!feof(pf))
    {
        int x;
        char c;
        char marcat[na];
        memset(marcat,0,na);
        int nr=0;

        int epermutare=1;
        int validare;
        do {
            validare=fscanf(pf,"%d%c",&x,&c);
            if (validare!=2)
                break;
            int gasit=0;
            for (int i=0; i<na; i++)
            {
                if (x==a[i] && marcat[i]==0)
                {
                    marcat[i]=1;
                    nr++;
                    gasit=1;
                    break;
                }
            }
            if (!gasit)
                epermutare=0;
        }while(c!='.');

        if (na!=nr)
            epermutare=0;

        if (validare==2)
            scrie_fisier("permutari.txt",epermutare);
    }

    fclose(pf);
}

int main(int argc, char* argv[])
{
    if (argc==1)
    {
        printf("Executie fara argumente!!!");
        exit(1);
    }

    int a[1000];
    int na=argc-1;
    for (int i=1; i<argc; i++)
        sscanf(argv[i],"%d",a+i-1);

    proceseaza("numere.txt",a,na);

    return 0;
}
