#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct{
    char nume[31];
    int puncte,golaveraj;
}Echipa;

void CitireSiCalculClasament(int *n,int *m,Echipa clasament[])
{
    FILE *fp;
    fp=fopen("input.txt","r");
    if(fp==NULL){
        printf("Nu se poate deschide fisierul");
        exit(1);
    }
    fscanf(fp,"%d %d",n,m);
    for(int i=0;i<*n;i++)
    {
        fscanf(fp,"%s",clasament[i].nume);
        clasament[i].puncte=0;
        clasament[i].golaveraj=0;
    }
    for(int i=0;i<*m;i++)
    {
        char echipa1[31],echipa2[31];
        int g1,g2;
        fscanf(fp,"%s vs %s %d-%d",echipa1,echipa2,&g1,&g2);
        for(int j=0;j<*n;j++)
        {
            if(strcmp(clasament[j].nume,echipa1)==0)
            {
                clasament[j].golaveraj+=g1-g2;
                if(g1>g2)
                    clasament[j].puncte+=3;
                else if(g1==g2)
                    clasament[j].puncte+=1;

            }
            if(strcmp(clasament[j].nume,echipa2)==0)
            {
                clasament[j].golaveraj+=g2-g1;
                if(g2>g1)
                    clasament[j].puncte+=3;
                else if(g1==g2)
                    clasament[j].puncte+=1;

            }
        }
    }
    fclose(fp);
}
void Afisare(Echipa clasament[],int n)
{
    printf("%-30s %3s %6s\n","Echipa","p.","ga.");
    for(int i=0;i<41;i++)
        printf("-");
    printf("\n");
    for(int i=0;i<n;i++)
    {
        printf("%-30s %3d %6d\n",clasament[i].nume,clasament[i].puncte,clasament[i].golaveraj);
    }
}

void Sortare(Echipa clasament[],int n)
{
    int comparare(const void *a, const void *b)
    {
        Echipa *ea = (Echipa*)a;
        Echipa *eb = (Echipa*)b;
        if (ea->puncte > eb->puncte)
            return -1;
        if (ea->puncte < eb->puncte)
            return 1;
        if (ea->golaveraj > eb->golaveraj)
            return -1;
        if (ea->golaveraj < eb->golaveraj)
            return 1;
        return strcmp(ea->nume, eb->nume);
    }

    qsort(clasament,n,sizeof(Echipa),comparare);
}

int main()
{
    int n,m;
    Echipa clasament[100];
    CitireSiCalculClasament(&n,&m,clasament);
    Sortare(clasament,n);
    Afisare(clasament,n);
    return 0;
}
