#include <stdio.h>
#include <stdlib.h>

void verifica_permutari(char *nfin,int* targ, int nt,char *nfout)
{
    FILE *pfin = fopen(nfin, "r");
    if (!pfin)
    {
        printf("Eroare-fisier intrare!");
        exit(1);
    }
    FILE *pfout = fopen(nfout, "w");
    if (!pfout)
    {
        printf("Eroare-fisier iesire!");
        exit(2);
    }

    while (!feof(pfin))
    {
        char c='.';
        int x;

        char *marcaje = (char*)calloc(nt,sizeof(char));
        char epermutare = 1;
        int valid =1;

        do {
            if (fscanf(pfin,"%d%c",&x,&c)!=2)
            {
                valid=0;
                break;
            }

            int gasit=0;
            for (int i=0; i<nt; i++)
                if (targ[i]==x && marcaje[i]==0)
                {
                    gasit = 1;
                    marcaje[i] = 1;
                    i=nt;
                }

            if (!gasit)
                epermutare=0;
        } while (c==',');

        for (int i=0; i<nt; i++)
            if (!marcaje[i])
            {
                epermutare=0;
                break;
            }
        if (valid)
        {
            if (epermutare)
                fprintf(pfout,"DA\n");
            else
                fprintf(pfout,"NU\n");
        }
        free(marcaje);
    }

    fclose(pfin);
    fclose(pfout);
}

int main(int argc, char* argv[])
{
    if (argc==1)
    {
        printf("Eroare - executie fara argumente!");
        return -10;
    }

    int targ[1000];
    int nt=argc-1;
    for (int i=0; i<nt; i++)
        sscanf(argv[i+1],"%d",targ+i);

    verifica_permutari("numere.txt",targ,nt,"permutari.txt");

    return 0;
}
