#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int comparare(const void *a, const void *b)
{
    return *(int*)a - *(int*)b;
}

int epermutare(int *a, int na, int* b, int nb)
{
    if (na!=nb)
        return 0;

    qsort(a,na,sizeof(int),comparare);
    qsort(b,nb,sizeof(int),comparare);

    return !memcmp(a,b,na*sizeof(int));
}

void proceseaza(char *nume_fis_in, int a[], int na, char *nume_fis_out)
{
    FILE *pfIn=fopen(nume_fis_in,"r");
    if (pfIn==NULL)
    {
        printf("Eroare-fisier intrare!");
        exit(2);
    }

    FILE *pfOut=fopen(nume_fis_out,"w");
    if (pfOut==NULL)
    {
        printf("Eroare-fisier iesire!");
        exit(3);
    }

    int *t = (int*)malloc(5000000*sizeof(int));

    while (!feof(pfIn))
    {
        int x;
        char c=' ';
        int nt=0;
        do {
            fscanf(pfIn,"%d%c", &x,&c);
            t[nt]=x;
            nt++;
        }while(c==',');

        if (!feof(pfIn))
        {
            if (epermutare(t,nt,a,na))
                fprintf(pfOut,"DA\n");
            else
                fprintf(pfOut,"NU\n");
        }
    }

    fclose(pfIn);
    fclose(pfOut);
    free(t);
}

int main(int argc, char* argv[])
{
    if (argc==1)
    {
        printf("Executat fara argumente!!!!");
        exit(1);
    }

    int a[1000];
    int na=argc-1;
    for (int i=0; i<na; i++)
        sscanf(argv[i+1],"%d",a+i);

    proceseaza("numere.txt",a,na,"permutari.txt");

    return 0;
}
